Gecode::NoIdxVarImpConf Class Reference

Configuration class for variable implementations without index structure. More...

`#include <core.hpp>`

## Static Public Member Functions

static Gecode::ModEvent | me_combine (ModEvent me1, ModEvent me2)
| Combine modification events me1 and me2.
static bool | med_update (ModEventDelta &med, ModEvent me)
| Update modification even delta med by me, return true on change.

## Static Public Attributes

static const int | idx_c = -1
| Index for update.
static const int | idx_d = -1
| Index for disposal.
static const PropCond | pc_max = PC_GEN_ASSIGNED
| Maximal propagation condition.
static const int | free_bits = 0
| Freely available bits.
static const int | med_fst = 0
| Start of bits for modification event delta.
static const int | med_lst = 0
| End of bits for modification event delta.
static const int | med_mask = 0
| Bitmask for modification event delta.

## Detailed Description

Configuration class for variable implementations without index structure.

Definition at line 98 of file core.hpp.

## Member Function Documentation

## me_combine()

ModEvent Gecode::NoIdxVarImpConf::me_combine | ( | ModEvent | me1,
|  | ModEvent | me2 )

inline static

Combine modification events me1 and me2.

Definition at line 121 of file core.hpp.

## med_update()

bool Gecode::NoIdxVarImpConf::med_update | ( | ModEventDelta & | med,
|  | ModEvent | me )

inline static

Update modification even delta med by me, return true on change.

Definition at line 125 of file core.hpp.

## Member Data Documentation

## idx_c

const int Gecode::NoIdxVarImpConf::idx_c = -1

static

Index for update.

Definition at line 101 of file core.hpp.

## idx_d

const int Gecode::NoIdxVarImpConf::idx_d = -1

static

Index for disposal.

Definition at line 103 of file core.hpp.

## pc_max

const PropCond Gecode::NoIdxVarImpConf::pc_max = PC_GEN_ASSIGNED

static

Maximal propagation condition.

Definition at line 105 of file core.hpp.

## free_bits

const int Gecode::NoIdxVarImpConf::free_bits = 0

static

Freely available bits.

Definition at line 107 of file core.hpp.

## med_fst

const int Gecode::NoIdxVarImpConf::med_fst = 0

static

Start of bits for modification event delta.

Definition at line 109 of file core.hpp.

## med_lst

const int Gecode::NoIdxVarImpConf::med_lst = 0

static

End of bits for modification event delta.

Definition at line 111 of file core.hpp.

## med_mask

const int Gecode::NoIdxVarImpConf::med_mask = 0

static

Bitmask for modification event delta.

Definition at line 113 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp